corda / net.corda.core.testing / PartyAndReferenceGenerator

# PartyAndReferenceGenerator

`class PartyAndReferenceGenerator : Generator<PartyAndReference>`

### Constructors

<init> | `PartyAndReferenceGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): PartyAndReference`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck